#ifndef DISCORD_API_H
#define DISCORD_API_H

#include <Arduino.h>
#include <ESP8266HTTPClient.h>
#include <WiFiClient.h>
#include <WiFiClientSecureBearSSL.h>
#include <ESP8266WiFi.h>

class DiscordAPI{
public:
    /**
     * @brief Construct a new Discord API object
     * @param hookUrl url of the discord webhook
     */
    DiscordAPI(String hookUrl);

    bool sendMessage(String message);
private:

    /**
     * @brief webhook URL
     */
    String hookUrl;

    /**
     * @brief http client
     */
    HTTPClient* httpClient;

    /**
     * @brief wifi client (for https)
     */
    BearSSL::WiFiClientSecure* wifiClient;
};


#endif //DISCORD_API_H
