#include "../include/DiscordAPI.h"

DiscordAPI::DiscordAPI(String hookUrl){
    this->hookUrl = hookUrl;

    this->httpClient = new HTTPClient();
    this->wifiClient = new BearSSL::WiFiClientSecure;
    this->wifiClient->setInsecure();
}

bool DiscordAPI::sendMessage(String message){
    bool sortie = true;

    if(WiFi.status() != WL_CONNECTED){
        return false;
    }

    this->httpClient->begin(*this->wifiClient, this->hookUrl);
    this->httpClient->addHeader("Content-Type", "application/json");

    int resp = this->httpClient->POST("{\"content\":\""+ message +"\"}");
    if(resp != 204){
        sortie = false;
        Serial.print("sending message error code : ");
        Serial.println(resp);
    }
    this->httpClient->end();
    return sortie;
}
